# WG Resource Management

A working group that is a cross-SIG effort currently sponsored by sig-node and sig-scheduling with
a focus on improving Kubernetes Compute Resource Management.

Features tackled in this workgroup typically span more than one of the following SIGs:
* SIG-Node
* SIG-Scheduling
* SIG-Autoscaling
* SIG-Instrumentation
* SIG-Storage
* SIG-Networking

Many advanced resource management topics span these functional areas, and this working
group is intended to support collaboration. Prior to pursuing major changes in compute resource
management, it is encouraged that community members share their ideas in this working group
to reach broad consensus across the SIGs. Once consensus is reached, the enhancements
are then managed by the appropriate SIGs based on impacted areas of code.

It is an open and active working group, and we always welcome new additions!

## Goals:

Topics include, but are not limited to:

* Support for Performance sensitive workloads (exclusive cores, cpu pinning strategies, numa)
* Integrating new hardware devices (gpus, fpga, infiniband, etc.)
* Improving resource isolation (local storage, hugepages, caches, etc.)
* Improving Quality of Service (Performance SLOs)
* Performance benchmarking
* APIs and extensions related to the features mentioned above 
* ...

## Contact us:

At this time, the group discussion primarily occurs on sig-node slack channel.

* via [Slack](https://kubernetes.slack.com/messages/sig-node/)
* via [Google Groups](https://groups.google.com/forum/#!forum/kubernetes-sig-node)

## Meetings:

### Resource Management Working Group

* The working group meets Tuesdays at 11:00AM PST (UTC-8)
* Zoom Link: https://zoom.us/j/4799874685
* [Agenda doc](https://docs.google.com/document/d/1j3vrG6BgE0hUDs2e-1ZUegKN4W4Adb1B6oJ6j-4kyPU/edit#)
* [Meeting Recordings](https://www.youtube.com/playlist?list=PL69nYSiGNLP1wJPj5DYWXjiArF-MJ5fNG)

## Team:

* Organizer: [Derek Carr] (https://github.com/derekwaynecarr) <decarr@redhat.com>, Red Hat
* Organizer: [Vish Kannan] (https://github.com/vishh) <vishh@google.com>, Google
* And too many regular participants to list here...
